DDTC.FR.1(1)

NOM
ddtc - outils client du ddts pour aider les traducteurs et les relecteurs.

SYNOPSIS
ddtc [OPTIONS] COMMANDE [ARGUMENTS]

DESCRIPTION
Ce script aide à la fois les traducteurs et les relecteurs en analysant les courriels du ddts, en mettant chaque paquet dans des fichiers séparés, en envoyant les relectures et en corrigeant les traductions erronées.

Avant de renvoyer une traduction ou une relecture au serveur, le script lui fait passer quelques tests et ne l'envoie pas si l'un des tests suivants est vérifié :

- nombre de paragraphes différent dans la description et sa traduction ;
- ligne de plus de 80 caractères ;
- présence du caractère <tab> ;
- ligne commençant par un point (.) suivi d'autres caractères.

Il peut être utilisé en mode intéractif si aucune commande n'est fournie. Dans ce cas, des menus sont afficher pour permettre à l'utilisateur d'entrer les commandes.

COMMANDES
Voici le manière usuelle de procéder :

- Recevoir du courriel du ddts
    Passez le courriel que vous recevez du ddts en entier (c'est-à-dire avec l'en-tête et les parties MIME) à l'entrée standard du script en utilisant la commande parse (analyser).

    S'il trouve des descriptions à traduire, il crée un fichier paquet.todo pour chacune d'elles dans votre répertoire Base_dir/tr. Il indique les différences avec votre dernière traduction si elle existe.

    S'il trouve des descriptions à relire, il crée un fichier paquet.todo pour chacune d'elles dans votre répertoire Base_dir/rev. Si vous aviez déjà relu cette description, il indique les différences, et, s'il n'y en a pas, marque la description comme étant relue.

    S'il trouve un rapport de relecture (bug report), il crée un fichier paquet.bug dans votre répertoire Base_dir/bug et fusionne tous les rapports de relecture pour faciliter les corrections. Il essaye aussi de détecter les collisions (voir plus bas).

- Travailler avec les fichiers
    - Traduire
        Renommez le fichier paquet.todo de votre répertoire Base_dir/tr en paquet.tr.

        Éditez-le avec votre éditeur de texte favori.

    - Relire
        Renommez le fichier paquet.todo de votre répertoire Base_dir/rev en paquet.rev. Ne modifiez par le fichier paquet (sans extension), il est utilisé en interne par ddtc.

        Éditez-le avec votre éditeur de texte favori. Vous pouvez y ajouter des commentaires qui seront envoyés au traducteur en ajoutant des lignes commençant par « >> » (la valeur de la variable $Comment suivie nécessairement d'un caractère espace).

        Si vous avez déjà relu une traduction et que le traducteur y a apporté des modifications, le script vous présente les différences entre les deux versions. Les lignes commençant par « >>-- » correspondent à la dernière version que vous avez relue, remplacez cela par « +>-- » si vous pensez que la traduction comporte toujours une erreur. Les lignes commençant par « >>+ » correspondent à la nouvelle version du traducteur, remplacez cela par « +>++ » si vous êtes d'accord avec le traducteur. Bien sûr, si vous n'êtes pas d'accord avec le traducteur, vous pouvez ajouter des commentaires comme indiqué ci-dessus.

    - Corriger les erreurs
        Renommez le fichier paquet.bug de votre répertoire Base_dir/bug en paquet.fix.

        Éditez-le avec votre éditeur de texte favori. Il contient toutes les modifications et tous les commentaires des relecteurs.

        Les lignes commençant par « >> » sont des commentaires et n'ont pas besoin d'être supprimées. Les lignes commençant par « >>X+ » sont des suggestions de corrections, remplacez cela par « +>X+ » pour les valider. Les lignes commençant par « >>-- » sont votre dernière traduction, remplacez cela par « +>-- » si vous ne souhaitez pas accepter les suggestions.

        Lancez le script avec la commande fix (corriger). Il crée un nouveau fichier paquet.tr dans votre répertoire Base_dir/tr qui contient les lignes inchangées et celles que vous avez sélectionnées.

        Pour éviter les collisions (relectures basées sur une version différente de la vôtre), n'envoyez pas de descriptions corrigées trop souvent (une fois par jour devrait aller), récupérez vos courriels et analysez-les avec le script juste avant de les corriger, et envoyez les descriptions corrigées aussitôt que possible.

- Renvoyer les fichiers au ddts
    Lancez le script avec la commande mail (écrire).

    Il renvoie les descriptions des fichiers paquet.tr et paquet.rev au ddts et les renomme paquet.sent, il clôture les rapports de relecture si nécessaire.

- Envoyer des commandes au serveur
    Lancez le script avec les commandes que vous souhaitez envoyer au serveur. Il les vérifiera et les enverra au serveur.

    Commandes disponibles :

    section nom de section
    sget nom de paquet
    get nom de paquet
    get nombre de paquets
    review nom de paquet
    review nombre de paquets
    getbug liste de rapports de relecture
    btsclose liste de rapports de relecture
    notification liste de langues
    listtranslatedpackages
    status
    noneveraguide
    neveraguide
    noguide
    guide

    Dans chaque ensemble : sget/get/review/getbug/btsclose/notification, noneveraguide/neveraguide et noguide/guide, seule la première commande trouvée est utilisée. Le script ajoute automatiquement la langue, le codage et l'adresse (Mail_in) si nécessaire, par défaut noguide est utilisé.

    En raison cause d'une limitation du serveur, vous ne pouvez pas recevoir plus de neuf nouveaux documents à la fois afin d'éviter le risque d'attaque par déni de service. Le script ne vérifie pas cela, mais le serveur le fera.

    Pour sget, get, review, status et listtranslatedpackages vous devez soit définir la variable $Language dans votre fichier .ddtcrc de configuration, soit fournir une extension de langue par les options --lang ou -l.

- Nettoyer les répertoires
    Lancez le script avec la commande clean (nettoyer).

    Il supprime tous les fichiers inutiles dans les répertoires du ddtc sauf le répertoire des fichiers temporaires car celui-ci devrait être un répertoire temporaire au niveau du système complet et être nettoyé par des tâches périodiques, sauf pour des raisons de débogage.

- Avoir des statistiques sur son travail
    Lancez le script avec la commande stats (statistiques).

    Il affiche des nombres en fonction des fichiers présents, il est possible que les résultats ne soient pas justes si un nettoyage des répertoires n'a pas été effectué préalablement.

OPTIONS
Niveau de bavardage :

-q, --quiet
    silencieux ;

-v  bavard, commence au niveau $Debug + 1, plus il y en a, plus il est bavard (voir plus bas) ;

--verbose n
    utiliser le niveau de bavardage n (voir plus bas).

S'envoyer une copie des courriels :

-s, --mail-self
    s'envoyer une copie des courriels ;

-n, --nomail-self
    ne pas s'envoyer de copie des courriels.

Autre :

-l, --lang
    extension de langue à utiliser lors des demandes de nouveaux documents (« fr » pour le français) ;

--ddtc-bug
    envoyer les relectures en format spécial. Demandez au coordinateur de votre équipe de traduction avant d'utiliser cette option. Pour le français, il a été décidé que cette option devait être utilisée ;

--noddtc-bug
    envoyer les relectures au format standard ;

-V, --version
    afficher la version du script ;

-h, --help
    afficher le message d'utilisation.

  Niveau de bavardage

0 silencieux
    seulement les avertissements et les erreurs ;

1 normal
    noms des paquets, des relecteurs et des traducteurs et les numéros de rapport de relecture ;

2 réservé
    pour usage interne ;

3 débogage normal
    noms des procédures ;

4 débogage bavard
    noms des procédures et arguments courts ;

5 débogage très bavard
    noms des procédures, arguments et valeurs de retour ;

9 débogage ne pas envoyer de courriels
    comme 5 mais adresse les courriels à soi-même au lieu du ddts.

les niveaux 5 et 9 sont vraiment très bavards, vous devriez rediriger la sortie vers un fichier.

VOIR AUSSI
ddtcrc(5).

http://ddtp.debian.org/ddtp-text/misc/ddts-faq-fr.txt.

http://ddtp.debian.org/ddtp-text/guides/guide-fr.txt.

http://ddtp.debian.org/ddtp-text/guides/review-fr.txt.

AUTEUR
Nicolas Bertolissio <bertol@debian.org>